Package: groovy.lang

## [Java] Class Tuple

- groovy.lang.Tuple

- Represents a list of Objects.

  Authors:
    James Strachan
  Version:
    \$Revision\$

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Tuple (Object[] contents)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `boolean` | `equals(Object that)`
    `boolean` | `equals(Tuple that)`
    `Object` | `get(int index)`
    `int` | `hashCode()`
    `int` | `size()`
    `List` | `subList(int fromIndex, int toIndex)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractList` | `add, add, remove, get, equals, hashCode, indexOf, clear, lastIndexOf, subList, addAll, iterator, set, listIterator, listIterator, remove, toString, contains, isEmpty, size, toArray, toArray, addAll, containsAll, removeAll, retainAll, wait, wait, wait, getClass, notify, notifyAll, size`
    `class AbstractCollection` | `add, remove, toString, clear, contains, isEmpty, size, toArray, toArray, addAll, iterator, containsAll, removeAll, retainAll, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public Tuple(Object[] contents)

  - ### Method Detail

    - #### public boolean equals(Object that)

    - #### public boolean equals(Tuple that)

    - #### public Object get(int index)

    - #### public int hashCode()

    - #### public int size()

    - #### public List subList(int fromIndex, int toIndex)